<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetCancelPolicyTextResponse StructType
 * @package Dg
 * @subpackage Structs
 */
class DgGetCancelPolicyTextResponse extends AbstractStructBase
{
    /**
     * The GetCancelPolicyTextResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $GetCancelPolicyTextResult;
    /**
     * Constructor method for GetCancelPolicyTextResponse
     * @uses DgGetCancelPolicyTextResponse::setGetCancelPolicyTextResult()
     * @param string $getCancelPolicyTextResult
     */
    public function __construct($getCancelPolicyTextResult = null)
    {
        $this
            ->setGetCancelPolicyTextResult($getCancelPolicyTextResult);
    }
    /**
     * Get GetCancelPolicyTextResult value
     * @return string|null
     */
    public function getGetCancelPolicyTextResult()
    {
        return $this->GetCancelPolicyTextResult;
    }
    /**
     * Set GetCancelPolicyTextResult value
     * @param string $getCancelPolicyTextResult
     * @return \dgsoft\StructType\DgGetCancelPolicyTextResponse
     */
    public function setGetCancelPolicyTextResult($getCancelPolicyTextResult = null)
    {
        // validation for constraint: string
        if (!is_null($getCancelPolicyTextResult) && !is_string($getCancelPolicyTextResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($getCancelPolicyTextResult)), __LINE__);
        }
        $this->GetCancelPolicyTextResult = $getCancelPolicyTextResult;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgGetCancelPolicyTextResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
